System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.Style

The class is used to represent the style for a table control. It encapsulates the properties that control the appearance of a table and can be applied to multiple table controls to provide a common appearance.

You can specify an image to display in the background of the table by setting the property. The amount of spacing between the cells of a table is controlled by the property. The spacing between the contents of a cell and the cell border is specified using the property. You can specify whether cell borders are displayed by setting the property. The horizontal alignment of the table in relation to other elements on the Web Forms page is indicated by the property.

This class is primarily used by control developers.

Represents the style for the control and some Web Parts.

- Constructor

  Use this constructor to create and initialize a new instance of the class using default values.

  Initializes a new instance of the class using default values.

  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to create and initialize a new instance of the class using the specified .

  Initializes a new instance of the class with the specified state bag information.

  A that represents the state bag in which to store style information.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  This method is primarily used by control developers.

  Adds information about the background image, cell spacing, cell padding, gridlines, and alignment to the list of attributes to render.

  The output stream that renders HTML content to the client. The control associated with the style. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Use the property to specify the URL of an image to display in the background of the table control.

  The image will be tiled if it is smaller than the table. Similarly, the image is cropped if it is larger than the table.

  The value of this property is stored in view state.

  Gets or sets the URL of an image to display in the background of a table control.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
  System.Web.UI.UrlProperty
  System.ComponentModel.NotifyParentProperty(true)
- Property
  System.Int32 To be added: an object of type 'int'

  Use the property to control the spacing between the contents of a cell and the cell's border. The padding amount specified is added to all four sides of a cell.

  All cells in the same column of a data listing control share the same cell width. Therefore, if the content of one cell is longer than the content of other cells in the same column, the padding amount is applied to the widest cell. All other cells in the column are also set with this cell width.

  Similarly, all cells in the same row share the same height. The padding amount is applied to the height of the tallest cell in the row. All other cells in the same row are set with this cell height. Individual cell sizes cannot be specified.

  The value of this property is stored in view state.

  Gets or sets the amount of space between the contents of the cell and the cell's border.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(-1)
  System.ComponentModel.NotifyParentProperty(true)
- Property
  System.Int32 To be added: an object of type 'int'

  Use the property to control the spacing between adjacent cells in a data listing control. This spacing is applied both vertically and horizontally. The cell spacing is uniform for the entire data list control. Individual cell spacing between each row or column cannot be specified.

  If you set this property to a value greater than 0 and set the property to a value that displays the cell borders, a gap is displayed between the borders of adjacent cells. In this situation, the property controls the size of the gap.

  The value of this property is stored in view state.

  Gets or sets the distance between table cells.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(-1)
  System.ComponentModel.NotifyParentProperty(true)
- Method
  System.Void `` To be added

  Copies non-blank elements from the specified style, overwriting existing style elements if necessary.

  The style to copy. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` ``

  Use the method to add the style properties of the object to the specified collection.

  Adds the style properties of the object to the specified collection.

  The to which to add the style properties. An object implemented by the that contains the context information for the current location (URL).
- Property
  System.Web.UI.WebControls.GridLines To be added: an object of type 'GridLines'

  Use the property to specify whether the border between the cells of the data list control is displayed. This property is set with one of the enumeration values. The following table lists the possible values.

  Value

  Description

  No cell border is displayed.

  Only the upper and lower borders of the cells in the data list control are displayed.

  Only the left and right borders of the cells in the data list control are displayed.

  All borders of the cells in the data list control are displayed.

  The value of this property is stored in view state.

  Gets or sets a value that specifies whether the border between the cells of the table control is displayed.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Web.UI.WebControls.GridLines.None)
  System.ComponentModel.NotifyParentProperty(true)
- Property
  System.Web.UI.WebControls.HorizontalAlign To be added: an object of type 'HorizontalAlign'

  Use the property to specify the horizontal alignment of the data list control within its container. This property is set with one of the enumeration values. The following table lists the possible values.

  Value

  Description

  The horizontal alignment is not set.

  The table is left justified within its container.

  The table is centered within its container.

  The table is right justified within its container.

  The value of this property is stored in view state.

  Gets or sets the horizontal alignment of the table within its container.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue(System.Web.UI.WebControls.HorizontalAlign.NotSet)
  System.ComponentModel.NotifyParentProperty(true)
- Method
  System.Void `` To be added

  Copies non-blank elements from the specified style, but will not overwrite any existing style elements.

  The style to copy. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Clears any defined style elements, and leaves the style in the default state.

  Clears any defined style elements of the style.

  1.0.5000.0
  2.0.0.0